/* ========================================
   HEADER
======================================== */

.site-header {
    background: #b61d56;
            /* linear-gradient(rgba(0, 0, 0, .5),
                rgba(0, 0, 0, .5)), */
            /* url("../assets/images/headerlargerscreen.png"); */
    
        background-size: cover;
        background-position: center;
        
        

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0.75rem 1rem;


    position: sticky;
    top: 0;

    z-index: 1000;

    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
    height: Auto;

}

/* ========================================
   BRANDING
======================================== */

.branding {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.logo {
    display: flex;
    align-items: center;
}

.logo img {
    height: 200px;
    width: 200px;
    display: block;
    max-height: 100%;
}

.site-title h2 {
    color: white;
    font-size: 1.25rem;
    margin: 0;
}

.site-title p {
    color: #ffffff;
    font-size: 0.9rem;
    margin: 0;
}

/* ========================================
   NAVIGATION
======================================== */

.nav-links {
    display: flex;
    gap: 2rem;
}

.nav-links a {
    color: white;
    text-decoration: none;

    font-weight: 600;

    padding-bottom: 0.3rem;

    transition: all 0.3s ease;
}

.nav-links a:hover {
    color: #d4af37;
}

.nav-links a.active {
    color: #d4af37;
    border-bottom: 2px solid #d4af37;
}

/* ========================================
   HAMBURGER BUTTON
======================================== */

.menu-button {
    display: none;

    background: none;
    border: none;

    color: white;

    font-size: 2rem;

    cursor: pointer;
}

/* ========================================
   MOBILE STYLES
======================================== */

@media (max-width: 768px) {

    .site-header {
        padding: 1rem;
    }

    .menu-button {
        display: block;
    }

    #main-nav {
        position: absolute;

        top: 100%;
        left: 0;

        width: 100%;

        background-color: #ca5b50;

        display: none;

        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    }

    #main-nav.show {
        display: block;
    }

    .nav-links {
        flex-direction: column;

        align-items: center;

        gap: 1rem;

        padding: 1.5rem;
    }

    .site-title h2 {
        font-size: 1rem;
    }

    .site-title p {
        font-size: 0.8rem;
    }

    .logo img {
        height: 44px;
        width: auto;
        object-fit: contain;
    }

    .branding {
        gap: 0.6rem;
    }

    .site-title h2 {
        font-size: 0.95rem;
        line-height: 1.1;
    }
}





